Subject: [bug#41803] [PATCH] Yggdrasil package and accompanying shepherd service (mesh network)

From: raingloom <[email-masked]>
Date: Thu, 8 Oct 2020 00:15:52 +0200

On Mon, 13 Jul 2020 16:23:30 +0200
raingloom <[email-masked]> wrote:

> On Sun, 12 Jul 2020 00:12:06 +0200
> Julien Lepiller <[email-masked]> wrote:
> 
> > 
> > Hi,
> > 
> > this is more of a quick review.
> > 
> > First patch LGTM.
> > 
> > You should split every package you add in the second patch in
> > separate patches. Also the commit message should say "new
> > variable", no need to say it's public.
> 
> Done!
> 
> > You left a comment about the license for go-github-com-gologme-log.
> > Have you contacted upstream to tell them about that, what was their
> > reaction? I think the fact that the readme says bsd implies the
> > intention is that it is free software, but better safe than sorry.
> 
> Heck, I forgot to do that, but I have contacted them yesterday and
> they fixed it.
> 
> > Otherwise, these packages lgtm.
> > 
> > In the third patch again, the commit message should say "new
> > variable". You should not use the past tense either, so "Add it".
> > 
> > Is the licenes lgpl3, or lgpl3+?
> 
> Looks like (custom) lgpl3. The readme says so and I couldn't find
> anything to indicate that a later version would also be acceptable.
> 
> > Not a go programmer, so I'm not reading the patch, but I'm trusting
> > you that it works :)
> > 
> > For the fourth patch, I don't think you need to list new private
> > variables in the commit message, nor new dependencies. Only list
> > public variables, as "New variables".
> > 
> > As you noted, could you add something about it to the manual?
> 
> On it, but I've never used texinfo, so this might take a while. Gonna
> send it in a later mail.
> 
> > In the system example, should Yggdrasil really be installed in the
> > system profile? If so, I think you can add a profile-service-type
> > extension to the service so the package is automatically available.
> > Then you don't need to specify the package in the os configuration,
> > and it ensures you install the same package (declared in the service
> > configuration) for the service and in the system.
> 
> Technically it can be used without it, but yggdrasilctl is a useful
> tool. I added it with the profile-service-type extension and removed
> it from the packages field in the example.
> 
> > Thanks for working on this!
> 
> UwU

Bump.

Could someone please test this?

Others have expressed interest in usin Yggdrasil with Guix, so I really
think these patches would be useful.

New versions of the packages are already coming out though, so if
necessary I could send a new patch series with the updated versions.